## fieldslib 0.1.0

=== Makefile ===
.PHONY: all
all:
	@cd lib && $(MAKE)
	@cd sample && $(MAKE)

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@cd sample && $(MAKE) clean

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = field.ml 
LIB_PACK_NAME = fieldslib
INCDIRS = +camlp4
PACKS = type-conv
RESULT = fieldslib

TRASH = \
  pa_fields_conv.cmi pa_fields_conv.cmo pa_fields_conv.annot \

all: \
	pack-byte-code pack-native-code \
	fieldslib.cma fieldslib.cmxa \
	pa_fields_conv.cmi pa_fields_conv.cmo

#toplevel-library:	byte-code-library \
#	$(OCAMLC) -a -o sexplib_top.cma sexplib.cma install_printers.cmo

LIBINSTALL_FILES = \
  fieldslib.cmi fieldslib.cma fieldslib.cmxa $(wildcard fieldslib.a) \
  $(wildcard fieldslib.lib) pa_fields_conv.cmi pa_fields_conv.cmo

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== sample/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

INCDIRS = ../lib
LIBDIRS = ../lib
LIBS = fieldslib
PACKS = type-conv
ANNOTATE = true

SOURCES = \
	test.ml 
RESULT = test.exe
THREADS = yes
ANNOTATE = true

include $(OCAMLMAKEFILE)

## fieldslib 0.1.2

=== debian/changelog ===
fieldslib (0.1.2-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:35 -0600

fieldslib (0.1.2-1) unstable; urgency=low

  * New upstream release
    - remove obsolete patch
  * Add myself to Uploaders, remove Stefano
  * Rewrite debian/rules using dh with overrides
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2
  * Bump debhelper compat level to 8
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jun 2011 09:06:42 +0200

fieldslib (0.1.0-2) unstable; urgency=low

  * Use quilt for patch management
  * Avoid building native code objects on non-native architectures: new
    patch 0001-support-for-bytecode-only-build (Closes: #559720)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 11 Dec 2009 11:12:14 +0100

fieldslib (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #555197)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 09 Nov 2009 10:34:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/libfields-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libfields-camlp4-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## fieldslib 0.13.0

=== debian/changelog ===
fieldslib (1:0.13.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:22:06 +0000

fieldslib (1:0.13.0-1) unstable; urgency=medium

  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update Homepage and debian/watch
  * Remove Lifeng from Uploaders (Closes: #925103)
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2020 14:11:57 +0100

fieldslib (113.33.03-2) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks/Replaces libfields-camlp4-dev (Closes: #834071)
  * Move ocaml-findlib to Recommends
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2016 14:07:26 +0200

fieldslib (113.33.03-1) experimental; urgency=medium

  * New upstream release
    - no more a camlp4 syntax extension
    - rename libfields-camlp4-dev into libfieldslib-ocaml-dev
    - add libfieldslib-ocaml
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 16:54:24 +0200

fieldslib (113.00.00-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version
  * Fix debian/copyright using dh_make template
  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Thu, 24 Dec 2015 17:27:47 +0100

fieldslib (109.20.03-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Upload to unstable.

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 20:44:18 +0200

fieldslib (109.20.03-1~exp1) experimental; urgency=medium

  [ Lifeng Sun ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5.

  [ Hilko Bengen ]
  * debian/copyright: Fixed DEP5 short-name
  * Upload to experimental

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Sep 2014 20:19:48 +0200

fieldslib (109.20.00-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 20:00:07 +0100

fieldslib (109.20.00-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update debian/watch.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 25 Jul 2013 19:42:48 +0800

fieldslib (108.00.02-1) unstable; urgency=low

  * New upstream release (Closes: #713345)
    - bump type-conv requirement
  * Update debian/copyright and debian/watch
  * Update debian/control: Vcs-*, Homepage
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jun 2013 22:51:44 +0200

fieldslib (107.01-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 24 Sep 2011 12:00:49 +0200

=== debian/control ===
Source: fieldslib
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 ocaml-dune,
 libbase-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/fieldslib
Vcs-Git: https://salsa.debian.org/ocaml-team/fieldslib.git
Homepage: https://github.com/janestreet/fieldslib

Package: libfieldslib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: libfields-camlp4-dev
Replaces: libfields-camlp4-dev
Description: OCaml syntax extension that enables folding over record fields (dev files)
 fieldslib is an OCaml syntax extension that can be used to define
 first class values representing record fields. On top of those
 values additional routines can then be automatically defined to:
 .
  - get and set record fields
  - iterate and fold over fields
  - create new record values
 .
 This package contains development files.

Package: libfieldslib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libfields-camlp4-dev
Replaces: libfields-camlp4-dev
Description: OCaml syntax extension that enables folding over record fields (runtime files)
 fieldslib is an OCaml syntax extension that can be used to define
 first class values representing record fields. On top of those
 values additional routines can then be automatically defined to:
 .
  - get and set record fields
  - iterate and fold over fields
  - create new record values
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p fieldslib

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/fieldslib/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## fieldslib 0.14.0

=== debian/changelog ===
fieldslib (1:0.14.0-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:15:45 +0100

fieldslib (1:0.14.0-1build2) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 02:28:30 +0000

fieldslib (1:0.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 15:14:58 +0100

fieldslib (1:0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 08:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev,
+ libbase-ocaml-dev (>= 0.14),
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/fieldslib/tags /.*/archive/v([\d\.\-rc]+)\.tar\.gz

## fieldslib 0.15.0

=== debian/changelog ===
fieldslib (1:0.15.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 12:38:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fieldslib
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
@@ -13,7 +12,7 @@
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/fieldslib
 Vcs-Git: https://salsa.debian.org/ocaml-team/fieldslib.git

## fieldslib 0.16.0

=== debian/changelog ===
fieldslib (1:0.16.0-2build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:47:36 +0200

fieldslib (1:0.16.0-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:13:23 +0100

fieldslib (1:0.16.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 15:09:45 +0200

fieldslib (1:0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: fieldslib
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/fieldslib
 Vcs-Git: https://salsa.debian.org/ocaml-team/fieldslib.git

## fieldslib 0.17.0

=== debian/changelog ===
fieldslib (1:0.17.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 13:41:03 +0100

fieldslib (1:0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2024 12:34:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fieldslib
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
@@ -11,9 +10,9 @@
  ocaml,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev (>= 0.14),
+ libbase-ocaml-dev (>= 0.17),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/fieldslib
 Vcs-Git: https://salsa.debian.org/ocaml-team/fieldslib.git

## fieldslib 107.01

=== debian/control ===
Source: fieldslib
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox (>= 3.12),
 ocaml-findlib,
 camlp4,
 camlp4-extra,
 libtype-conv-camlp4-dev (>= 2.3.0),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/fieldslib.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/fieldslib.git
Homepage: http://ocaml.janestreet.com/?q=node/13

Package: libfields-camlp4-dev
Architecture: any
Depends:
 ocaml-findlib,
 camlp4,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml syntax extension that enables folding over record fields
 fieldslib is an OCaml syntax extension that can be used to define
 first class values representing record fields. On top of those
 values additional routines can then be automatically defined to:
 .
  - get and set record fields
  - iterate and fold over fields
  - create new record values
 .
 fieldslib is built on top of CamlP4.

=== debian/watch ===
version=3
http://ocaml.janestreet.com/?q=node/13 .*/fieldslib-(.*)\.tar\.gz

## fieldslib 108.00.02

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  ocaml-nox (>= 3.12),
  ocaml-findlib,
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 2.3.0),
+ libtype-conv-camlp4-dev (>= 3.0.5),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/fieldslib.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/fieldslib.git
-Homepage: http://ocaml.janestreet.com/?q=node/13
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/fieldslib.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/fieldslib.git
+Homepage: http://janestreet.github.io/
 
 Package: libfields-camlp4-dev
 Architecture: any

=== debian/watch ===
version=3
http://githubredir.debian.net/github/janestreet/fieldslib /(\d+\.\d+\.\d+)\.tar\.gz

## fieldslib 109.20.00

=== Makefile ===
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || 	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: ocaml
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders:
+ Stéphane Glondu <glondu@debian.org>,
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 3.12),
- ocaml-findlib,
+ ocaml-nox (>= 4.00.0),
+ ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 3.0.5),
+ libtype-conv-camlp4-dev (>= 109.20.00),
  dh-ocaml (>= 0.9)
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/fieldslib.git

## fieldslib 109.20.03

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Lifeng Sun <lifongsun@gmail.com>,
+ Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 4.00.0),
@@ -13,7 +14,7 @@
  camlp4-extra,
  libtype-conv-camlp4-dev (>= 109.20.00),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/fieldslib.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/fieldslib.git
 Homepage: http://janestreet.github.io/

## fieldslib 113.00.00

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  camlp4-extra,
  libtype-conv-camlp4-dev (>= 109.20.00),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/fieldslib.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/fieldslib.git
 Homepage: http://janestreet.github.io/

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/libfields-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libfields-camlp4-dev/html/api

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## fieldslib 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := fieldslib
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: _oasis setup.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || true
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
fieldslib (113.33.03-2build3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:01:16 +0200

fieldslib (113.33.03-2build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 13:33:40 +0100

fieldslib (113.33.03-2build1) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 21:53:28 +0100

=== debian/control ===
Source: fieldslib
Section: ocaml
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Lifeng Sun <lifongsun@gmail.com>,
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.00.0),
 ocaml-findlib (>= 1.3.2),
 oasis,
 opam,
 libjs-build-tools-ocaml-dev,
 libfindlib-ocaml-dev,
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/fieldslib.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/fieldslib.git
Homepage: http://janestreet.github.io/

Package: libfieldslib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: libfields-camlp4-dev
Replaces: libfields-camlp4-dev
Description: OCaml syntax extension that enables folding over record fields (dev files)
 fieldslib is an OCaml syntax extension that can be used to define
 first class values representing record fields. On top of those
 values additional routines can then be automatically defined to:
 .
  - get and set record fields
  - iterate and fold over fields
  - create new record values
 .
 This package contains development files.

Package: libfieldslib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libfields-camlp4-dev
Replaces: libfields-camlp4-dev
Description: OCaml syntax extension that enables folding over record fields (runtime files)
 fieldslib is an OCaml syntax extension that can be used to define
 first class values representing record fields. On top of those
 values additional routines can then be automatically defined to:
 .
  - get and set record fields
  - iterate and fold over fields
  - create new record values
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) fieldslib.install

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/fieldslib/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
